Get details for single Web3 Action execution
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/actions/action/${ACTION_ID}/calls/call/${EXECUTION_ID}' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
--compressedconst options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls/call/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls/call/{executionId}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls/call/{executionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "4010f442-c4d9-407d-aba1-7276e3312998",
"actionId": "0f55690d-0894-4173-9714-10cc0404e09a",
"versionId": "7052c8f8-ddc5-4c05-82c0-d69e223e0d65",
"createdAt": "2022-12-02T10:06:02.649431Z",
"type": "AUTOMATIC",
"status": "SUCCEEDED",
"statusUpdatedAt": "2022-12-02T10:06:02.815476Z",
"payload": {
"type": "block",
"block": {
"network": "1",
"blockNumber": 16096415,
"blockHash": "0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7",
"blockDifficulty": "0",
"totalDifficulty": "58750003716598352816469"
}
},
"storageType": "WRITE",
"storageId": "1830efff-aa75-481e-b464-cedaf8b90960",
"memory": 67,
"time": 76,
"parsedLogs": {
"lines": [
{
"time": "2022-12-02T10:06:02.747Z",
"severity": "INFO",
"message": "DefaultBlockEvent {\n network: '1',\n blockHash: '0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7',\n blockNumber: 16096415,\n blockDifficulty: '0',\n totalDifficulty: '58750003716598352816469'\n}"
},
{
"time": "2022-12-02T10:06:02.747Z",
"severity": "INFO",
"message": "blockEvent"
}
]
},
"parsedError": null
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "9a7bbe06-7f6f-4a45-8c78-8d64b9a9d0e1",
"slug": "too_many_requests",
"message": "API Rate limit exceeded."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Actions
Get details for single Web3 Action execution
Retrieve the details of a specific Web3 Action execution. You need to provide the Web3 Action ID and execution ID.
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
actions
/
action
/
{actionId}
/
calls
/
call
/
{executionId}
Get details for single Web3 Action execution
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/actions/action/${ACTION_ID}/calls/call/${EXECUTION_ID}' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
--compressedconst options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls/call/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls/call/{executionId}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls/call/{executionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "4010f442-c4d9-407d-aba1-7276e3312998",
"actionId": "0f55690d-0894-4173-9714-10cc0404e09a",
"versionId": "7052c8f8-ddc5-4c05-82c0-d69e223e0d65",
"createdAt": "2022-12-02T10:06:02.649431Z",
"type": "AUTOMATIC",
"status": "SUCCEEDED",
"statusUpdatedAt": "2022-12-02T10:06:02.815476Z",
"payload": {
"type": "block",
"block": {
"network": "1",
"blockNumber": 16096415,
"blockHash": "0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7",
"blockDifficulty": "0",
"totalDifficulty": "58750003716598352816469"
}
},
"storageType": "WRITE",
"storageId": "1830efff-aa75-481e-b464-cedaf8b90960",
"memory": 67,
"time": 76,
"parsedLogs": {
"lines": [
{
"time": "2022-12-02T10:06:02.747Z",
"severity": "INFO",
"message": "DefaultBlockEvent {\n network: '1',\n blockHash: '0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7',\n blockNumber: 16096415,\n blockDifficulty: '0',\n totalDifficulty: '58750003716598352816469'\n}"
},
{
"time": "2022-12-02T10:06:02.747Z",
"severity": "INFO",
"message": "blockEvent"
}
]
},
"parsedError": null
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "9a7bbe06-7f6f-4a45-8c78-8d64b9a9d0e1",
"slug": "too_many_requests",
"message": "API Rate limit exceeded."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Response
A successful response.
Parsed logs for Web3 Action execution
Example:
{ "lines": [ { "time": "2022-12-02T10:06:02.747Z", "severity": "INFO", "message": "DefaultBlockEvent {\n network: '1',\n blockHash: '0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7',\n blockNumber: 16096415,\n blockDifficulty: '0',\n totalDifficulty: '58750003716598352816469'\n}" }, { "time": "2022-12-02T10:06:02.747Z", "severity": "INFO", "message": "blockEvent" } ] }
Parsed errors for Web3 Action execution
Example:
{ "name": "Error", "message": "Error in action execution", "stacktrace": "Error: Error in action execution\n at actionFn (/opt/src/implementation.js:4:11)\n at DefaultActionExecutor.execute (/opt/nodejs/executor.js:11:15)\n at Runtime.exports.handler (/var/task/index.js:5:47)\n at Runtime.handleOnce (/var/runtime/Runtime.js:66:25)" }